local GT_AddonName, GT_Globals = ...

function GT_Globals.initArchiveDialog(self)
	local ScreenX = math.ceil(GetScreenWidth());
	ScreenX = ((ScreenX / 2) / 2);
	print("Init Frames");
	 -- MAIN FRAME
	self:SetMovable(true);
	self:EnableMouse(true);
	self:RegisterForDrag("LeftButton");
	self:SetScript("OnDragStart", self.StartMoving);
	self:SetScript("OnDragStop", self.StopMovingOrSizing);
	--self:ClearAllPoints();
	self:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	self:SetHeight(157); -- 180 when upper group frame hidden
	self:SetWidth(180);
	self:SetFrameStrata("FULLSCREEN");
	self:SetUserPlaced(true);
	--self:SetPoint("CENTER",380,99);
	self:Hide();
	
	 -- ARCHIVE FRAME HEADER
	local Header = CreateFrame("Frame",nil,self);
	Header:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	Header:SetPoint("TOP",0,7);
	Header:SetHeight(20);
	Header:SetWidth(100);
	local HeaderText = Header:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HeaderText:SetPoint("TOP",0,-4);
	HeaderText:SetFont("Fonts\\FRIZQT__.TTF", 10);
	HeaderText:SetTextColor(1,1,1,1);
	HeaderText:SetJustifyH("CENTER");
	HeaderText:SetText("Archives");
	
	 -- ARCHIVE FRAME CLOSE WINDOW BUTTON
	GT_Globals.CloseArchiveBtn = CreateFrame("Button",nil,self,"UIPanelButtonTemplate");
	local CloseBtn = GT_Globals.CloseArchiveBtn;
	CloseBtn:SetWidth(22);
	CloseBtn:SetHeight(22);
	CloseBtn:SetText(" X");
	CloseBtn:SetPoint("TOPRIGHT",-5,-5);
	CloseBtn:HookScript("OnClick",function()
		self:Hide();
	end);
	
	-- ARCHIVE TITLE LABEL
	local ArchiveTitleLabel = CreateFrame("Frame",nil,self);
	ArchiveTitleLabel:SetPoint("TOP",10,-40);
	ArchiveTitleLabel:SetWidth(50);
	ArchiveTitleLabel:SetHeight(20);
	GT_Globals.ArchiveTitleLabel = self:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveTitleLabelText = GT_Globals.ArchiveTitleLabel
	ArchiveTitleLabelText:SetPoint("TOPLEFT",10,-20);
	ArchiveTitleLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveTitleLabelText:SetTextColor(1,1,1,1);
	ArchiveTitleLabelText:SetJustifyH("LEFT");
	-- Text is set dynamically
	
	-- ARCHIVE WORLD LABEL
	local ArchiveWorldLabel = CreateFrame("Frame",nil,self);
	ArchiveWorldLabel:SetPoint("TOPLEFT",10,-45);
	ArchiveWorldLabel:SetWidth(50);
	ArchiveWorldLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local ArchiveWorldLabelText = ArchiveWorldLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ArchiveWorldLabelText:SetPoint("TOPLEFT",5,0);
	ArchiveWorldLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveWorldLabelText:SetTextColor(1,1,1,1);
	ArchiveWorldLabelText:SetJustifyH("LEFT");
	ArchiveWorldLabelText:SetText("World:");
	
	-- ARCHIVE WORLD FRAME
	local ArchiveWorldFrame = CreateFrame("Frame",nil,self);
	ArchiveWorldFrame:SetPoint("TOPLEFT",80,-45);
	ArchiveWorldFrame:SetWidth(50);
	ArchiveWorldFrame:SetHeight(20);
	GT_Globals.ArchiveWorldFrame = ArchiveWorldFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveWorldFrameText = GT_Globals.ArchiveWorldFrame;
	ArchiveWorldFrameText:SetPoint("TOPLEFT",5,0);
	ArchiveWorldFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveWorldFrameText:SetTextColor(1,1,0,1);
	ArchiveWorldFrameText:SetJustifyH("LEFT");
	
	-- ARCHIVE INSTANCE LABEL
	local ArchiveInstanceLabel = CreateFrame("Frame",nil,self);
	ArchiveInstanceLabel:SetPoint("TOPLEFT",10,-63);
	ArchiveInstanceLabel:SetWidth(50);
	ArchiveInstanceLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local ArchiveInstanceLabelText = ArchiveInstanceLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ArchiveInstanceLabelText:SetPoint("TOPLEFT",5,0);
	ArchiveInstanceLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveInstanceLabelText:SetTextColor(1,1,1,1);
	ArchiveInstanceLabelText:SetJustifyH("LEFT");
	ArchiveInstanceLabelText:SetText("Instance:");
	
	-- ARCHIVE INSTANCE FRAME
	local ArchiveInstanceFrame = CreateFrame("Frame",nil,self);
	ArchiveInstanceFrame:SetPoint("TOPLEFT",80,-63);
	ArchiveInstanceFrame:SetWidth(50);
	ArchiveInstanceFrame:SetHeight(20);
	GT_Globals.ArchiveInstanceFrame = ArchiveInstanceFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveInstanceFrameText = GT_Globals.ArchiveInstanceFrame;
	ArchiveInstanceFrameText:SetPoint("TOPLEFT",5,0);
	ArchiveInstanceFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveInstanceFrameText:SetTextColor(1,1,0,1);
	ArchiveInstanceFrameText:SetJustifyH("LEFT");
	
	-- ARCHIVE QUESTING LABEL
	local ArchiveQuestLabel = CreateFrame("Frame",nil,self);
	ArchiveQuestLabel:SetPoint("TOPLEFT",10,-81);
	ArchiveQuestLabel:SetWidth(50);
	ArchiveQuestLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local ArchiveQuestLabelText = ArchiveQuestLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ArchiveQuestLabelText:SetPoint("TOPLEFT",5,0);
	ArchiveQuestLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveQuestLabelText:SetTextColor(1,1,1,1);
	ArchiveQuestLabelText:SetJustifyH("LEFT");
	ArchiveQuestLabelText:SetText("Questing:");
	
	-- ARCHIVE QUESTING FRAME
	local ArchiveQuestFrame = CreateFrame("Frame",nil,self);
	ArchiveQuestFrame:SetPoint("TOPLEFT",80,-81);
	ArchiveQuestFrame:SetWidth(50);
	ArchiveQuestFrame:SetHeight(20);
	GT_Globals.ArchiveQuestFrame = ArchiveQuestFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveQuestFrameText = GT_Globals.ArchiveQuestFrame;
	ArchiveQuestFrameText:SetPoint("TOPLEFT",5,0);
	ArchiveQuestFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveQuestFrameText:SetTextColor(1,1,0,1);
	ArchiveQuestFrameText:SetJustifyH("LEFT");
	
	-- ARCHIVE VENDORED LABEL
	local ArchiveVendorLabel = CreateFrame("Frame",nil,self);
	ArchiveVendorLabel:SetPoint("TOPLEFT",10,-99);
	ArchiveVendorLabel:SetWidth(50);
	ArchiveVendorLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local ArchiveVendorLabelText = ArchiveVendorLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ArchiveVendorLabelText:SetPoint("TOPLEFT",5,0);
	ArchiveVendorLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveVendorLabelText:SetTextColor(1,1,1,1);
	ArchiveVendorLabelText:SetJustifyH("LEFT");
	ArchiveVendorLabelText:SetText("Vendored:");
	
	-- ARCHIVE VENDORED FRAME
	local ArchiveVendorFrame = CreateFrame("Frame",nil,self);
	ArchiveVendorFrame:SetPoint("TOPLEFT",80,-99);
	ArchiveVendorFrame:SetWidth(50);
	ArchiveVendorFrame:SetHeight(20);
	GT_Globals.ArchiveVendorFrame = ArchiveVendorFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveVendorFrameText = GT_Globals.ArchiveVendorFrame;
	ArchiveVendorFrameText:SetPoint("TOPLEFT",5,0);
	ArchiveVendorFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveVendorFrameText:SetTextColor(1,1,0,1);
	ArchiveVendorFrameText:SetJustifyH("LEFT");
	
	-- ARCHIVE SPENT LABEL
	local ArchiveSpentLabel = CreateFrame("Frame",nil,self);
	ArchiveSpentLabel:SetPoint("TOPLEFT",10,-117);
	ArchiveSpentLabel:SetWidth(50);
	ArchiveSpentLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local ArchiveSpentLabelText = ArchiveSpentLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ArchiveSpentLabelText:SetPoint("TOPLEFT",5,0);
	ArchiveSpentLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveSpentLabelText:SetTextColor(1,1,1,1);
	ArchiveSpentLabelText:SetJustifyH("LEFT");
	ArchiveSpentLabelText:SetText("Spent:");
	
	-- ARCHIVE SPENT FRAME
	local ArchiveSpentFrame = CreateFrame("Frame",nil,self);
	ArchiveSpentFrame:SetPoint("TOPLEFT",80,-117);
	ArchiveSpentFrame:SetWidth(50);
	ArchiveSpentFrame:SetHeight(20);
	GT_Globals.ArchiveSpentFrame = ArchiveSpentFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveSpentFrameText = GT_Globals.ArchiveSpentFrame;
	ArchiveSpentFrameText:SetPoint("TOPLEFT",5,0);
	ArchiveSpentFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveSpentFrameText:SetTextColor(1,1,0,1);
	ArchiveSpentFrameText:SetJustifyH("LEFT");
	
	-- ARCHIVE REPAIRED LABEL
	local ArchiveRepairLabel = CreateFrame("Frame",nil,self);
	ArchiveRepairLabel:SetPoint("TOPLEFT",10,-135);
	ArchiveRepairLabel:SetWidth(50);
	ArchiveRepairLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local ArchiveRepairLabelText = ArchiveRepairLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ArchiveRepairLabelText:SetPoint("TOPLEFT",5,0);
	ArchiveRepairLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveRepairLabelText:SetTextColor(1,1,1,1);
	ArchiveRepairLabelText:SetJustifyH("LEFT");
	ArchiveRepairLabelText:SetText("Repaired:");
	
	-- ARCHIVE REPAIRED FRAME
	local ArchiveRepairFrame = CreateFrame("Frame",nil,self);
	ArchiveRepairFrame:SetPoint("TOPLEFT",80,-135);
	ArchiveRepairFrame:SetWidth(50);
	ArchiveRepairFrame:SetHeight(20);
	GT_Globals.ArchiveRepairFrame = ArchiveRepairFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ArchiveRepairFrameText = GT_Globals.ArchiveRepairFrame;
	ArchiveRepairFrameText:SetPoint("TOPLEFT",5,0);
	ArchiveRepairFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ArchiveRepairFrameText:SetTextColor(1,1,0,1);
	ArchiveRepairFrameText:SetJustifyH("LEFT");
end